ALLEGRO_SHADER(3)

NAME

ALLEGRO_SHADER - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_SHADER ALLEGRO_SHADER;

DESCRIPTION

An ALLEGRO_SHADER(3) is a program that runs on the GPU. It combines both a vertex and a pixel shader. (In OpenGL terms, an ALLEGRO_SHADER(3) is actually a program which has one or more shaders attached. This can be confusing.)

The source code for the underlying vertex or pixel shader can be provided either as GLSL or HLSL, depending on the value of ALLEGRO_SHADER_PLATFORM(3) used when creating it.

SINCE

5.1.0